Subject: Re: [PATCH v3 10/21] pack-bitmap: add support for bitmap indexes

From: Karsten Blees <[email-masked]>
Date: Wed, 27 Nov 2013 10:08:56 +0100

Am 24.11.2013 22:36, schrieb Thomas Rast:
> Jeff King <[email-masked]> writes:
[...]
> 
> I think I'll also lend you a hand writing Documentation/technical/api-khash.txt
> (expect it tomorrow) so that we also have documentation in the git
> style, where gitters can be expected to find it on their own.
> 

Khash is OK for sha1 keys, but I don't think it should be advertised as a second general purpose hash table implementation. Its far too easy to shoot yourself in the foot by using 'straightforward' hash- and comparison functions. Khash doesn't store the hash codes of the keys, so you have to take care of that yourself or live with the performance penalties (see [1]).

[1] http://article.gmane.org/gmane.comp.version-control.git/237876